/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function goodsCategoryItems(
  params,
  options,
) {
  return request('/admin/goods_category/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function goodsCategoryCreate(
  body,
  options,
) {
  return request('/admin/goods_category/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function goodsCategoryUpdate(
  body,
  options,
) {
  return request('/admin/goods_category/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function goodsCategoryDelete(
  body,
  options,
) {
  return request('/admin/goods_category/delete', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function userItem(
  params,
  options,
) {
  return request('/admin/goods_category/item', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}

